use strict;
use warnings;
use Module::Build::CipUX;

use version; our $VERSION = qv('3.4.0.0');

my $builder = Module::Build::CipUX->new(
    module_name   => 'CipUX::Trait::DebianEdu',
    license       => 'gpl2',
    dist_author   => 'Christian Kuelker <christian.kuelker@cipworx.org>',
    dist_version  => "$VERSION",
    dist_abstract => 'Debian-Edu Configuration',

    #    create_makefile_pl => 'traditional',
    #    create_readme      => 1,
    verbose     => 1,
    installdirs => 'vendor',

    meta_merge => { resources => { homepage => q(http://www.cipux.org), }, },

    recommends => {

        #'Test::Perl::Critic'  => 0,
        #'Test::Pod::Coverage' => '1.04',
    },

    build_requires => {
        'Module::Build'        => 0,
        'Module::Build::CipUX' => '0.4.0',
        'Test::More'           => 0,

        #'Test::Pod'            => '1.14',
    },

    requires => {
        'version'             => 0,
        'CipUX::Trait'        => '3.4.0.7',
        'CipUX::Trait::Samba' => '3.4.0.0',
    },

    add_to_cleanup => ['CipUX-Trait-DebianEdu-*'],
);

# BUILD target
#$builder->do_create_readme();
#$builder->do_create_makefile_pl();
$builder->create_build_script();
